diff --git a/doc/language_issues.en b/doc/language_issues.en
index ca3b1bbdb..40cba2292 100644
--- a/doc/language_issues.en
+++ b/doc/language_issues.en
@@ -1182,6 +1182,7 @@ WARNING: untranslated string: last = Last
 WARNING: untranslated string: last activity = Last Activity
 WARNING: untranslated string: lease expires = Lease expires
 WARNING: untranslated string: least preferred = least preferred
+WARNING: untranslated string: legacy architecture warning = You are running IPFire on a legacy architecture and it is recommended to upgrade
 WARNING: untranslated string: legend = Legend
 WARNING: untranslated string: lifetime = Lifetime:
 WARNING: untranslated string: linkq = Link Quality
diff --git a/doc/language_issues.es b/doc/language_issues.es
index 016bcd5e5..f7431f692 100644
--- a/doc/language_issues.es
+++ b/doc/language_issues.es
@@ -1154,6 +1154,7 @@ WARNING: untranslated string: ipsec settings = IPsec Settings
 WARNING: untranslated string: itlb multihit = iTLB MultiHit
 WARNING: untranslated string: last = Last
 WARNING: untranslated string: least preferred = least preferred
+WARNING: untranslated string: legacy architecture warning = You are running IPFire on a legacy architecture and it is recommended to upgrade
 WARNING: untranslated string: lifetime = Lifetime:
 WARNING: untranslated string: local ip address = Local IP Address
 WARNING: untranslated string: log server protocol = protocol:
diff --git a/doc/language_issues.fr b/doc/language_issues.fr
index 9c7456d71..597883693 100644
--- a/doc/language_issues.fr
+++ b/doc/language_issues.fr
@@ -838,6 +838,7 @@ WARNING: untranslated string: guardian logtarget_file = unknown string
 WARNING: untranslated string: guardian logtarget_syslog = unknown string
 WARNING: untranslated string: guardian no entries = unknown string
 WARNING: untranslated string: guardian service = unknown string
+WARNING: untranslated string: legacy architecture warning = You are running IPFire on a legacy architecture and it is recommended to upgrade
 WARNING: untranslated string: pakfire ago = ago.
 WARNING: untranslated string: route config changed = unknown string
 WARNING: untranslated string: routing config added = unknown string
diff --git a/doc/language_issues.it b/doc/language_issues.it
index c3291c0b2..c943da739 100644
--- a/doc/language_issues.it
+++ b/doc/language_issues.it
@@ -983,6 +983,7 @@ WARNING: untranslated string: ipsec mode tunnel = Tunnel
 WARNING: untranslated string: ipsec routing table entries = IPsec Routing Table Entries
 WARNING: untranslated string: ipsec settings = IPsec Settings
 WARNING: untranslated string: itlb multihit = iTLB MultiHit
+WARNING: untranslated string: legacy architecture warning = You are running IPFire on a legacy architecture and it is recommended to upgrade
 WARNING: untranslated string: local ip address = Local IP Address
 WARNING: untranslated string: location = Location
 WARNING: untranslated string: locationblock = Location Block
diff --git a/doc/language_issues.nl b/doc/language_issues.nl
index 49a9c6d20..7496d647c 100644
--- a/doc/language_issues.nl
+++ b/doc/language_issues.nl
@@ -992,6 +992,7 @@ WARNING: untranslated string: ipsec mode tunnel = Tunnel
 WARNING: untranslated string: ipsec routing table entries = IPsec Routing Table Entries
 WARNING: untranslated string: ipsec settings = IPsec Settings
 WARNING: untranslated string: itlb multihit = iTLB MultiHit
+WARNING: untranslated string: legacy architecture warning = You are running IPFire on a legacy architecture and it is recommended to upgrade
 WARNING: untranslated string: local ip address = Local IP Address
 WARNING: untranslated string: location = Location
 WARNING: untranslated string: locationblock = Location Block
diff --git a/doc/language_issues.pl b/doc/language_issues.pl
index 016bcd5e5..f7431f692 100644
--- a/doc/language_issues.pl
+++ b/doc/language_issues.pl
@@ -1154,6 +1154,7 @@ WARNING: untranslated string: ipsec settings = IPsec Settings
 WARNING: untranslated string: itlb multihit = iTLB MultiHit
 WARNING: untranslated string: last = Last
 WARNING: untranslated string: least preferred = least preferred
+WARNING: untranslated string: legacy architecture warning = You are running IPFire on a legacy architecture and it is recommended to upgrade
 WARNING: untranslated string: lifetime = Lifetime:
 WARNING: untranslated string: local ip address = Local IP Address
 WARNING: untranslated string: log server protocol = protocol:
diff --git a/doc/language_issues.ru b/doc/language_issues.ru
index 4bf922e62..a3eb33669 100644
--- a/doc/language_issues.ru
+++ b/doc/language_issues.ru
@@ -1149,6 +1149,7 @@ WARNING: untranslated string: ipsec settings = IPsec Settings
 WARNING: untranslated string: itlb multihit = iTLB MultiHit
 WARNING: untranslated string: last = Last
 WARNING: untranslated string: least preferred = least preferred
+WARNING: untranslated string: legacy architecture warning = You are running IPFire on a legacy architecture and it is recommended to upgrade
 WARNING: untranslated string: lifetime = Lifetime:
 WARNING: untranslated string: local ip address = Local IP Address
 WARNING: untranslated string: location = Location
diff --git a/doc/language_issues.tr b/doc/language_issues.tr
index f02493545..60a646e5f 100644
--- a/doc/language_issues.tr
+++ b/doc/language_issues.tr
@@ -916,6 +916,7 @@ WARNING: untranslated string: ipsec mode tunnel = Tunnel
 WARNING: untranslated string: ipsec routing table entries = IPsec Routing Table Entries
 WARNING: untranslated string: ipsec settings = IPsec Settings
 WARNING: untranslated string: itlb multihit = iTLB MultiHit
+WARNING: untranslated string: legacy architecture warning = You are running IPFire on a legacy architecture and it is recommended to upgrade
 WARNING: untranslated string: local ip address = Local IP Address
 WARNING: untranslated string: meltdown = Meltdown
 WARNING: untranslated string: mitigated = Mitigated
diff --git a/doc/language_missings b/doc/language_missings
index 913970113..3fbaad77b 100644
--- a/doc/language_missings
+++ b/doc/language_missings
@@ -575,6 +575,7 @@
 < itlb multihit
 < last
 < least preferred
+< legacy architecture warning
 < lifetime
 < local ip address
 < log server protocol
@@ -921,6 +922,7 @@
 < bewan adsl usb
 < g.dtm
 < g.lite
+< legacy architecture warning
 < upload fcdsl.o
 ############################################################################
 # Checking cgi-bin translations for language: it                           #
@@ -1127,6 +1129,7 @@
 < ipsec routing table entries
 < ipsec settings
 < itlb multihit
+< legacy architecture warning
 < local ip address
 < location
 < locationblock
@@ -1501,6 +1504,7 @@
 < ipsec routing table entries
 < ipsec settings
 < itlb multihit
+< legacy architecture warning
 < local ip address
 < location
 < locationblock
@@ -2200,6 +2204,7 @@
 < itlb multihit
 < last
 < least preferred
+< legacy architecture warning
 < lifetime
 < local ip address
 < location
@@ -3056,6 +3061,7 @@
 < itlb multihit
 < last
 < least preferred
+< legacy architecture warning
 < lifetime
 < local ip address
 < location
@@ -3474,6 +3480,7 @@
 < ipsec routing table entries
 < ipsec settings
 < itlb multihit
+< legacy architecture warning
 < local ip address
 < meltdown
 < mitigated
diff --git a/html/cgi-bin/index.cgi b/html/cgi-bin/index.cgi
index 945a5b68c..8e7207d0c 100644
--- a/html/cgi-bin/index.cgi
+++ b/html/cgi-bin/index.cgi
@@ -545,6 +545,12 @@ if ( ! -e "/var/ipfire/main/send_profile") {
 	$warnmessage .= "<li><a style='color: white;' href='fireinfo.cgi'>$Lang::tr{'fireinfo please enable'}</a></li>";
 }
 
+# Legacy architecture
+my ($sysname, $nodename, $release, $version, $machine) = &POSIX::uname();
+if ($machine =~ m/^i?86$/) {
+	$warnmessage .= "<li>$Lang::tr{'legacy architecture warning'}</li>";
+}
+
 # Memory usage warning
 my @free = `/usr/bin/free`;
 $free[1] =~ m/(\d+)/;
diff --git a/langs/de/cgi-bin/de.pl b/langs/de/cgi-bin/de.pl
index b01e75eb5..7a626d616 100644
--- a/langs/de/cgi-bin/de.pl
+++ b/langs/de/cgi-bin/de.pl
@@ -1549,6 +1549,7 @@
 'lateprompting' => 'Late prompting',
 'lease expires' => 'Zuordnung verfällt',
 'least preferred' => 'weniger präferiert',
+'legacy architecture warning' => 'Sie betreiben IPFire auf einer überholten Architektur und ein Update ist empfohlen',
 'legend' => 'Legende',
 'length' => 'Länge',
 'lifetime' => 'Lebensdauer:',
diff --git a/langs/en/cgi-bin/en.pl b/langs/en/cgi-bin/en.pl
index 7e3bbec89..2badc4c48 100644
--- a/langs/en/cgi-bin/en.pl
+++ b/langs/en/cgi-bin/en.pl
@@ -1573,6 +1573,7 @@
 'lateprompting' => 'Lateprompting',
 'lease expires' => 'Lease expires',
 'least preferred' => 'least preferred',
+'legacy architecture warning' => 'You are running IPFire on a legacy architecture and it is recommended to upgrade',
 'legend' => 'Legend',
 'length' => 'Length',
 'lifetime' => 'Lifetime:',