diff --git a/doc/language_issues.en b/doc/language_issues.en
index 6e30eb995..0711d1a1f 100644
--- a/doc/language_issues.en
+++ b/doc/language_issues.en
@@ -1809,7 +1809,7 @@ WARNING: untranslated string: updxlrtr monthly = monthly
 WARNING: untranslated string: updxlrtr not accessed = not accessed since
 WARNING: untranslated string: updxlrtr not enabled = Update Accelerator is not enabled on the web proxy page
 WARNING: untranslated string: updxlrtr other = Other
-WARNING: untranslated string: updxlrtr passive mode = Enable passive mode
+WARNING: untranslated string: updxlrtr passive mode = Delivery only/no download mode
 WARNING: untranslated string: updxlrtr pending downloads = Pending downloads
 WARNING: untranslated string: updxlrtr performance options = Performance options
 WARNING: untranslated string: updxlrtr progress = Progress
diff --git a/doc/language_issues.es b/doc/language_issues.es
index a54428362..acccdb731 100644
--- a/doc/language_issues.es
+++ b/doc/language_issues.es
@@ -1442,6 +1442,7 @@ WARNING: untranslated string: unblock all = Unblock all
 WARNING: untranslated string: uncheck all = Uncheck all
 WARNING: untranslated string: unlimited = Unlimited
 WARNING: untranslated string: update ruleset = Update ruleset
+WARNING: untranslated string: updxlrtr passive mode = Delivery only/no download mode
 WARNING: untranslated string: uplink = Uplink
 WARNING: untranslated string: uplink bit rate = Uplink Bit Rate
 WARNING: untranslated string: upload dh key = Upload Diffie-Hellman parameters
diff --git a/doc/language_issues.fr b/doc/language_issues.fr
index 942be73ec..d82919dc0 100644
--- a/doc/language_issues.fr
+++ b/doc/language_issues.fr
@@ -918,5 +918,6 @@ WARNING: untranslated string: routing config added = unknown string
 WARNING: untranslated string: routing config changed = unknown string
 WARNING: untranslated string: token = Token:
 WARNING: untranslated string: token not set = No Token has been given.
+WARNING: untranslated string: updxlrtr passive mode = Delivery only/no download mode
 WARNING: untranslated string: wlan client encryption wpa3 = WPA3
 WARNING: untranslated string: wlan client management frame protection = Management Frame Protection
diff --git a/doc/language_issues.it b/doc/language_issues.it
index 98074e59f..414e39913 100644
--- a/doc/language_issues.it
+++ b/doc/language_issues.it
@@ -1164,6 +1164,7 @@ WARNING: untranslated string: unblock all = Unblock all
 WARNING: untranslated string: uncheck all = Uncheck all
 WARNING: untranslated string: unlimited = Unlimited
 WARNING: untranslated string: update ruleset = Update ruleset
+WARNING: untranslated string: updxlrtr passive mode = Delivery only/no download mode
 WARNING: untranslated string: uplink bit rate = Uplink Bit Rate
 WARNING: untranslated string: user management = User Management
 WARNING: untranslated string: vpn broken = Broken
diff --git a/doc/language_issues.nl b/doc/language_issues.nl
index 8eebbd57f..ad2de4f65 100644
--- a/doc/language_issues.nl
+++ b/doc/language_issues.nl
@@ -1202,6 +1202,7 @@ WARNING: untranslated string: unblock all = Unblock all
 WARNING: untranslated string: uncheck all = Uncheck all
 WARNING: untranslated string: unlimited = Unlimited
 WARNING: untranslated string: update ruleset = Update ruleset
+WARNING: untranslated string: updxlrtr passive mode = Delivery only/no download mode
 WARNING: untranslated string: uplink bit rate = Uplink Bit Rate
 WARNING: untranslated string: upload dh key = Upload Diffie-Hellman parameters
 WARNING: untranslated string: user management = User Management
diff --git a/doc/language_issues.pl b/doc/language_issues.pl
index f1a475648..8416a8f14 100644
--- a/doc/language_issues.pl
+++ b/doc/language_issues.pl
@@ -1450,6 +1450,7 @@ WARNING: untranslated string: unblock all = Unblock all
 WARNING: untranslated string: uncheck all = Uncheck all
 WARNING: untranslated string: unlimited = Unlimited
 WARNING: untranslated string: update ruleset = Update ruleset
+WARNING: untranslated string: updxlrtr passive mode = Delivery only/no download mode
 WARNING: untranslated string: uplink = Uplink
 WARNING: untranslated string: uplink bit rate = Uplink Bit Rate
 WARNING: untranslated string: upload dh key = Upload Diffie-Hellman parameters
diff --git a/doc/language_issues.ru b/doc/language_issues.ru
index 43c1f8c08..ec67d6eca 100644
--- a/doc/language_issues.ru
+++ b/doc/language_issues.ru
@@ -1445,6 +1445,7 @@ WARNING: untranslated string: unblock all = Unblock all
 WARNING: untranslated string: uncheck all = Uncheck all
 WARNING: untranslated string: unlimited = Unlimited
 WARNING: untranslated string: update ruleset = Update ruleset
+WARNING: untranslated string: updxlrtr passive mode = Delivery only/no download mode
 WARNING: untranslated string: uplink = Uplink
 WARNING: untranslated string: uplink bit rate = Uplink Bit Rate
 WARNING: untranslated string: upload dh key = Upload Diffie-Hellman parameters
diff --git a/doc/language_issues.tr b/doc/language_issues.tr
index 439a58890..6a7a8e486 100644
--- a/doc/language_issues.tr
+++ b/doc/language_issues.tr
@@ -1057,6 +1057,7 @@ WARNING: untranslated string: tor guard nodes = Guard Nodes
 WARNING: untranslated string: tor use guard nodes = Use only these guard nodes (one fingerprint per line)
 WARNING: untranslated string: transport mode does not support vti = VTI is not support in transport mode
 WARNING: untranslated string: update ruleset = Update ruleset
+WARNING: untranslated string: updxlrtr passive mode = Delivery only/no download mode
 WARNING: untranslated string: user management = User Management
 WARNING: untranslated string: vpn start action add = Wait for connection initiation
 WARNING: untranslated string: vpn statistics n2n = unknown string
diff --git a/doc/language_missings b/doc/language_missings
index f10c4f242..3cd277726 100644
--- a/doc/language_missings
+++ b/doc/language_missings
@@ -800,6 +800,7 @@
 < uncheck all
 < unlimited
 < update ruleset
+< updxlrtr passive mode
 < updxlrtr sources
 < updxlrtr standard view
 < updxlrtr used by
@@ -924,6 +925,7 @@
 < g.lite
 < token
 < token not set
+< updxlrtr passive mode
 < upload fcdsl.o
 < wlan client encryption wpa3
 < wlan client management frame protection
@@ -1251,6 +1253,7 @@
 < uncheck all
 < unlimited
 < update ruleset
+< updxlrtr passive mode
 < uplink bit rate
 < user management
 < vpn broken
@@ -1692,6 +1695,7 @@
 < uncheck all
 < unlimited
 < update ruleset
+< updxlrtr passive mode
 < uplink bit rate
 < upload dh key
 < user management
@@ -2536,6 +2540,7 @@
 < uncheck all
 < unlimited
 < update ruleset
+< updxlrtr passive mode
 < updxlrtr sources
 < updxlrtr standard view
 < updxlrtr used by
@@ -3426,6 +3431,7 @@
 < uncheck all
 < unlimited
 < update ruleset
+< updxlrtr passive mode
 < updxlrtr sources
 < updxlrtr standard view
 < updxlrtr used by
@@ -3695,6 +3701,7 @@
 < tor use guard nodes
 < transport mode does not support vti
 < update ruleset
+< updxlrtr passive mode
 < user management
 < vpn start action add
 < vpn subjectaltname missing
diff --git a/langs/de/cgi-bin/de.pl b/langs/de/cgi-bin/de.pl
index b3c2a69da..6a8133807 100644
--- a/langs/de/cgi-bin/de.pl
+++ b/langs/de/cgi-bin/de.pl
@@ -2545,7 +2545,7 @@
 'updxlrtr not accessed' => 'nicht zugegriffen seit',
 'updxlrtr not enabled' => 'Der Update-Accelerator ist auf der Web-Proxy-Seite nicht aktiviert',
 'updxlrtr other' => 'Sonstige',
-'updxlrtr passive mode' => 'Aktiviere Passiv-Modus',
+'updxlrtr passive mode' => 'Nur Auslieferungs-/kein Download-Modus',
 'updxlrtr pending downloads' => 'Anstehende Downloads',
 'updxlrtr performance options' => 'Leistungsoptionen',
 'updxlrtr progress' => 'Fortschritt',
diff --git a/langs/en/cgi-bin/en.pl b/langs/en/cgi-bin/en.pl
index 9767be178..8f7e0c2cf 100644
--- a/langs/en/cgi-bin/en.pl
+++ b/langs/en/cgi-bin/en.pl
@@ -2585,7 +2585,7 @@
 'updxlrtr not accessed' => 'not accessed since',
 'updxlrtr not enabled' => 'Update Accelerator is not enabled on the web proxy page',
 'updxlrtr other' => 'Other',
-'updxlrtr passive mode' => 'Enable passive mode',
+'updxlrtr passive mode' => 'Delivery only/no download mode',
 'updxlrtr pending downloads' => 'Pending downloads',
 'updxlrtr performance options' => 'Performance options',
 'updxlrtr progress' => 'Progress',
diff --git a/langs/es/cgi-bin/es.pl b/langs/es/cgi-bin/es.pl
index ad6a228d8..8c744c3c4 100644
--- a/langs/es/cgi-bin/es.pl
+++ b/langs/es/cgi-bin/es.pl
@@ -1868,7 +1868,6 @@
 'updxlrtr not accessed' => 'no se ha accesado desde',
 'updxlrtr not enabled' => 'El acelerador de actualizaciones no está activado en el proxy de la página',
 'updxlrtr other' => 'Otro',
-'updxlrtr passive mode' => 'Activar modo pasivo',
 'updxlrtr pending downloads' => 'Descargas pendientes',
 'updxlrtr performance options' => 'Opciones de rendimiento',
 'updxlrtr progress' => 'Progreso',
diff --git a/langs/fr/cgi-bin/fr.pl b/langs/fr/cgi-bin/fr.pl
index bc0a53df8..dff8b6011 100644
--- a/langs/fr/cgi-bin/fr.pl
+++ b/langs/fr/cgi-bin/fr.pl
@@ -2591,7 +2591,6 @@
 'updxlrtr not accessed' => 'utilisés la dernière fois depuis',
 'updxlrtr not enabled' => 'La mise à jour de l\'accélérateur n\'est pas activée sur la page web du proxy',
 'updxlrtr other' => 'Autre',
-'updxlrtr passive mode' => 'Activer le mode passif (bloque l\'ajout de nouveaux fichiers dans le cache) ',
 'updxlrtr pending downloads' => 'Téléchargements en cours',
 'updxlrtr performance options' => 'Options de performance',
 'updxlrtr progress' => 'En cours',
diff --git a/langs/it/cgi-bin/it.pl b/langs/it/cgi-bin/it.pl
index 28c7b79ad..4841d0017 100644
--- a/langs/it/cgi-bin/it.pl
+++ b/langs/it/cgi-bin/it.pl
@@ -2279,7 +2279,6 @@
 'updxlrtr not accessed' => 'not accessed since',
 'updxlrtr not enabled' => 'Update Accelerator is not enabled on the web proxy page',
 'updxlrtr other' => 'Other',
-'updxlrtr passive mode' => 'Enable passive mode',
 'updxlrtr pending downloads' => 'Pending downloads',
 'updxlrtr performance options' => 'Performance options',
 'updxlrtr progress' => 'Progress',
diff --git a/langs/nl/cgi-bin/nl.pl b/langs/nl/cgi-bin/nl.pl
index 4ada179c1..18103d37c 100644
--- a/langs/nl/cgi-bin/nl.pl
+++ b/langs/nl/cgi-bin/nl.pl
@@ -2229,7 +2229,6 @@
 'updxlrtr not accessed' => 'niet benaderd sinds',
 'updxlrtr not enabled' => 'Updateversneller is niet ingeschakeld op de webproxy pagina',
 'updxlrtr other' => 'Overig',
-'updxlrtr passive mode' => 'Inschakelen passieve modus',
 'updxlrtr pending downloads' => 'Wachtrij downloads',
 'updxlrtr performance options' => 'Performance opties',
 'updxlrtr progress' => 'Voortgang',
diff --git a/langs/pl/cgi-bin/pl.pl b/langs/pl/cgi-bin/pl.pl
index 59ca85cb9..d16328778 100644
--- a/langs/pl/cgi-bin/pl.pl
+++ b/langs/pl/cgi-bin/pl.pl
@@ -1827,7 +1827,6 @@
 'updxlrtr not accessed' => 'bez żądania od',
 'updxlrtr not enabled' => 'Update Accelerator nie jest włączony w zakładce web proxy',
 'updxlrtr other' => 'Inne',
-'updxlrtr passive mode' => 'Włącz tryb pasywny',
 'updxlrtr pending downloads' => 'Aktualnie pobierane',
 'updxlrtr performance options' => 'Opcje wydajności',
 'updxlrtr progress' => 'Postęp',
diff --git a/langs/ru/cgi-bin/ru.pl b/langs/ru/cgi-bin/ru.pl
index abcebab28..58581d353 100644
--- a/langs/ru/cgi-bin/ru.pl
+++ b/langs/ru/cgi-bin/ru.pl
@@ -1822,7 +1822,6 @@
 'updxlrtr not accessed' => 'Не обращались с',
 'updxlrtr not enabled' => 'Ускоритель обновлений не активирован на странице настроек web proxy',
 'updxlrtr other' => 'Другой',
-'updxlrtr passive mode' => 'Разрешить пасивный режим',
 'updxlrtr pending downloads' => 'Ожидание загрузки',
 'updxlrtr performance options' => 'Настройки производительности',
 'updxlrtr progress' => 'Прогресс',
diff --git a/langs/tr/cgi-bin/tr.pl b/langs/tr/cgi-bin/tr.pl
index 81d9509b7..14de385c1 100644
--- a/langs/tr/cgi-bin/tr.pl
+++ b/langs/tr/cgi-bin/tr.pl
@@ -2443,7 +2443,6 @@
 'updxlrtr not accessed' => 'tarihinden bu yana erişilemez',
 'updxlrtr not enabled' => 'Güncelleme hızlandırıcı web vekil sunucusu sayfasında aktif değil',
 'updxlrtr other' => 'Diğer',
-'updxlrtr passive mode' => 'Pasif yöntemini aktifleştir',
 'updxlrtr pending downloads' => 'Beklemedekileri indirilenler',
 'updxlrtr performance options' => 'Performans seçenekleri',
 'updxlrtr progress' => 'İşlem durumu',