diff --git a/doc/language_issues.en b/doc/language_issues.en
index 3d10bebc6..fce67b8eb 100644
--- a/doc/language_issues.en
+++ b/doc/language_issues.en
@@ -299,7 +299,7 @@ WARNING: untranslated string: advproxy wpad example dst_noproxy_ip = e.g. 192.16
 WARNING: untranslated string: advproxy wpad example dst_noproxy_url = e.g. *.ipfire.org*
 WARNING: untranslated string: advproxy wpad label dst_noproxy_ip = Excluded IP Subnets (one per line)
 WARNING: untranslated string: advproxy wpad label dst_noproxy_url = Excluded URL s (one per line)
-WARNING: untranslated string: advproxy wpad notice = Notice: For WPAD/PAC to work properly, furtcher changes need to be made. Please see the <a href="https://wiki.ipfire.org/configuration/network/proxy/extend/wpad" target="_blank">Wiki</a>.
+WARNING: untranslated string: advproxy wpad notice = Notice: For WPAD/PAC to work properly, further changes need to be made. Please see the <a href="https://wiki.ipfire.org/configuration/network/proxy/extend/wpad" target="_blank">Wiki</a>.
 WARNING: untranslated string: advproxy wpad title = Web Proxy Auto-Discovery Protocol (WPAD) / Proxy Auto-Config (PAC)
 WARNING: untranslated string: advproxy wpad view pac = Open PAC File
 WARNING: untranslated string: age second = second
diff --git a/doc/language_issues.es b/doc/language_issues.es
index 2e58b5b02..60612f9df 100644
--- a/doc/language_issues.es
+++ b/doc/language_issues.es
@@ -814,7 +814,7 @@ WARNING: untranslated string: advproxy wpad example dst_noproxy_ip = e.g. 192.16
 WARNING: untranslated string: advproxy wpad example dst_noproxy_url = e.g. *.ipfire.org*
 WARNING: untranslated string: advproxy wpad label dst_noproxy_ip = Excluded IP Subnets (one per line)
 WARNING: untranslated string: advproxy wpad label dst_noproxy_url = Excluded URL s (one per line)
-WARNING: untranslated string: advproxy wpad notice = Notice: For WPAD/PAC to work properly, furtcher changes need to be made. Please see the <a href="https://wiki.ipfire.org/configuration/network/proxy/extend/wpad" target="_blank">Wiki</a>.
+WARNING: untranslated string: advproxy wpad notice = Notice: For WPAD/PAC to work properly, further changes need to be made. Please see the <a href="https://wiki.ipfire.org/configuration/network/proxy/extend/wpad" target="_blank">Wiki</a>.
 WARNING: untranslated string: advproxy wpad title = Web Proxy Auto-Discovery Protocol (WPAD) / Proxy Auto-Config (PAC)
 WARNING: untranslated string: advproxy wpad view pac = Open PAC File
 WARNING: untranslated string: age second = second
diff --git a/doc/language_issues.it b/doc/language_issues.it
index 4538461c6..af409c1db 100644
--- a/doc/language_issues.it
+++ b/doc/language_issues.it
@@ -903,7 +903,7 @@ WARNING: untranslated string: advproxy wpad example dst_noproxy_ip = e.g. 192.16
 WARNING: untranslated string: advproxy wpad example dst_noproxy_url = e.g. *.ipfire.org*
 WARNING: untranslated string: advproxy wpad label dst_noproxy_ip = Excluded IP Subnets (one per line)
 WARNING: untranslated string: advproxy wpad label dst_noproxy_url = Excluded URL s (one per line)
-WARNING: untranslated string: advproxy wpad notice = Notice: For WPAD/PAC to work properly, furtcher changes need to be made. Please see the <a href="https://wiki.ipfire.org/configuration/network/proxy/extend/wpad" target="_blank">Wiki</a>.
+WARNING: untranslated string: advproxy wpad notice = Notice: For WPAD/PAC to work properly, further changes need to be made. Please see the <a href="https://wiki.ipfire.org/configuration/network/proxy/extend/wpad" target="_blank">Wiki</a>.
 WARNING: untranslated string: advproxy wpad title = Web Proxy Auto-Discovery Protocol (WPAD) / Proxy Auto-Config (PAC)
 WARNING: untranslated string: advproxy wpad view pac = Open PAC File
 WARNING: untranslated string: asn lookup failed = AS lookup failed
diff --git a/doc/language_issues.nl b/doc/language_issues.nl
index 85fdcbe44..e6ad0d425 100644
--- a/doc/language_issues.nl
+++ b/doc/language_issues.nl
@@ -898,7 +898,7 @@ WARNING: untranslated string: advproxy wpad example dst_noproxy_ip = e.g. 192.16
 WARNING: untranslated string: advproxy wpad example dst_noproxy_url = e.g. *.ipfire.org*
 WARNING: untranslated string: advproxy wpad label dst_noproxy_ip = Excluded IP Subnets (one per line)
 WARNING: untranslated string: advproxy wpad label dst_noproxy_url = Excluded URL s (one per line)
-WARNING: untranslated string: advproxy wpad notice = Notice: For WPAD/PAC to work properly, furtcher changes need to be made. Please see the <a href="https://wiki.ipfire.org/configuration/network/proxy/extend/wpad" target="_blank">Wiki</a>.
+WARNING: untranslated string: advproxy wpad notice = Notice: For WPAD/PAC to work properly, further changes need to be made. Please see the <a href="https://wiki.ipfire.org/configuration/network/proxy/extend/wpad" target="_blank">Wiki</a>.
 WARNING: untranslated string: advproxy wpad title = Web Proxy Auto-Discovery Protocol (WPAD) / Proxy Auto-Config (PAC)
 WARNING: untranslated string: advproxy wpad view pac = Open PAC File
 WARNING: untranslated string: asn lookup failed = AS lookup failed
diff --git a/doc/language_issues.pl b/doc/language_issues.pl
index a023bdbee..52b8bd4aa 100644
--- a/doc/language_issues.pl
+++ b/doc/language_issues.pl
@@ -829,7 +829,7 @@ WARNING: untranslated string: advproxy wpad example dst_noproxy_ip = e.g. 192.16
 WARNING: untranslated string: advproxy wpad example dst_noproxy_url = e.g. *.ipfire.org*
 WARNING: untranslated string: advproxy wpad label dst_noproxy_ip = Excluded IP Subnets (one per line)
 WARNING: untranslated string: advproxy wpad label dst_noproxy_url = Excluded URL s (one per line)
-WARNING: untranslated string: advproxy wpad notice = Notice: For WPAD/PAC to work properly, furtcher changes need to be made. Please see the <a href="https://wiki.ipfire.org/configuration/network/proxy/extend/wpad" target="_blank">Wiki</a>.
+WARNING: untranslated string: advproxy wpad notice = Notice: For WPAD/PAC to work properly, further changes need to be made. Please see the <a href="https://wiki.ipfire.org/configuration/network/proxy/extend/wpad" target="_blank">Wiki</a>.
 WARNING: untranslated string: advproxy wpad title = Web Proxy Auto-Discovery Protocol (WPAD) / Proxy Auto-Config (PAC)
 WARNING: untranslated string: advproxy wpad view pac = Open PAC File
 WARNING: untranslated string: age second = second
diff --git a/doc/language_issues.ru b/doc/language_issues.ru
index d1abbc4a8..7928cc948 100644
--- a/doc/language_issues.ru
+++ b/doc/language_issues.ru
@@ -825,7 +825,7 @@ WARNING: untranslated string: advproxy wpad example dst_noproxy_ip = e.g. 192.16
 WARNING: untranslated string: advproxy wpad example dst_noproxy_url = e.g. *.ipfire.org*
 WARNING: untranslated string: advproxy wpad label dst_noproxy_ip = Excluded IP Subnets (one per line)
 WARNING: untranslated string: advproxy wpad label dst_noproxy_url = Excluded URL s (one per line)
-WARNING: untranslated string: advproxy wpad notice = Notice: For WPAD/PAC to work properly, furtcher changes need to be made. Please see the <a href="https://wiki.ipfire.org/configuration/network/proxy/extend/wpad" target="_blank">Wiki</a>.
+WARNING: untranslated string: advproxy wpad notice = Notice: For WPAD/PAC to work properly, further changes need to be made. Please see the <a href="https://wiki.ipfire.org/configuration/network/proxy/extend/wpad" target="_blank">Wiki</a>.
 WARNING: untranslated string: advproxy wpad title = Web Proxy Auto-Discovery Protocol (WPAD) / Proxy Auto-Config (PAC)
 WARNING: untranslated string: advproxy wpad view pac = Open PAC File
 WARNING: untranslated string: age second = second
diff --git a/doc/language_issues.tr b/doc/language_issues.tr
index a882db069..6ec856e17 100644
--- a/doc/language_issues.tr
+++ b/doc/language_issues.tr
@@ -890,7 +890,7 @@ WARNING: untranslated string: advproxy wpad example dst_noproxy_ip = e.g. 192.16
 WARNING: untranslated string: advproxy wpad example dst_noproxy_url = e.g. *.ipfire.org*
 WARNING: untranslated string: advproxy wpad label dst_noproxy_ip = Excluded IP Subnets (one per line)
 WARNING: untranslated string: advproxy wpad label dst_noproxy_url = Excluded URL s (one per line)
-WARNING: untranslated string: advproxy wpad notice = Notice: For WPAD/PAC to work properly, furtcher changes need to be made. Please see the <a href="https://wiki.ipfire.org/configuration/network/proxy/extend/wpad" target="_blank">Wiki</a>.
+WARNING: untranslated string: advproxy wpad notice = Notice: For WPAD/PAC to work properly, further changes need to be made. Please see the <a href="https://wiki.ipfire.org/configuration/network/proxy/extend/wpad" target="_blank">Wiki</a>.
 WARNING: untranslated string: advproxy wpad title = Web Proxy Auto-Discovery Protocol (WPAD) / Proxy Auto-Config (PAC)
 WARNING: untranslated string: advproxy wpad view pac = Open PAC File
 WARNING: untranslated string: asn lookup failed = AS lookup failed
diff --git a/langs/en/cgi-bin/en.pl b/langs/en/cgi-bin/en.pl
index 679588940..1a7c37294 100644
--- a/langs/en/cgi-bin/en.pl
+++ b/langs/en/cgi-bin/en.pl
@@ -400,7 +400,7 @@
 'advproxy wpad example dst_noproxy_url' => 'e.g. *.ipfire.org*',
 'advproxy wpad label dst_noproxy_ip' => 'Excluded IP Subnets (one per line)',
 'advproxy wpad label dst_noproxy_url' => 'Excluded URL s (one per line)',
-'advproxy wpad notice' => 'Notice: For WPAD/PAC to work properly, furtcher changes need to be made. Please see the <a href="https://wiki.ipfire.org/configuration/network/proxy/extend/wpad" target="_blank">Wiki</a>.',
+'advproxy wpad notice' => 'Notice: For WPAD/PAC to work properly, further changes need to be made. Please see the <a href="https://wiki.ipfire.org/configuration/network/proxy/extend/wpad" target="_blank">Wiki</a>.',
 'advproxy wpad title' => 'Web Proxy Auto-Discovery Protocol (WPAD) / Proxy Auto-Config (PAC)',
 'advproxy wpad view pac' => 'Open PAC File',
 'again' => 'Again:',