diff --git a/doc/language_issues.en b/doc/language_issues.en
index a1730ac7b..02c4e6bfd 100644
--- a/doc/language_issues.en
+++ b/doc/language_issues.en
@@ -1480,6 +1480,7 @@ WARNING: untranslated string: pap or chap = PAP or CHAP
 WARNING: untranslated string: parentclass = Parentclass
 WARNING: untranslated string: parentclass add = Add parentclass
 WARNING: untranslated string: password = Password:
+WARNING: untranslated string: password has quotation mark = Password contains an illegal double quotation mark.
 WARNING: untranslated string: password not set = Password not set.
 WARNING: untranslated string: password too short = Password is too short.
 WARNING: untranslated string: passwords do not match = Passwords do not match.
diff --git a/doc/language_issues.es b/doc/language_issues.es
index 0a89279d5..60177bf49 100644
--- a/doc/language_issues.es
+++ b/doc/language_issues.es
@@ -1066,6 +1066,7 @@ WARNING: untranslated string: openvpn cert expires soon = Expires Soon
 WARNING: untranslated string: openvpn cert has expired = Expired
 WARNING: untranslated string: ovpn roadwarrior server = OpenVPN Roadwarrior Server
 WARNING: untranslated string: pakfire ago = ago.
+WARNING: untranslated string: password has quotation mark = Password contains an illegal double quotation mark.
 WARNING: untranslated string: processors = Processors
 WARNING: untranslated string: reg_file_data_sampling = Register File Data Sampling (RFDS)
 WARNING: untranslated string: regenerate host certificate = Renew Host Certificate
diff --git a/doc/language_issues.fr b/doc/language_issues.fr
index 7f9349bc0..7cf937d51 100644
--- a/doc/language_issues.fr
+++ b/doc/language_issues.fr
@@ -1014,6 +1014,7 @@ WARNING: untranslated string: load average = Load Average
 WARNING: untranslated string: oops something went wrong = Oops, something went wrong...
 WARNING: untranslated string: ovpn roadwarrior server = OpenVPN Roadwarrior Server
 WARNING: untranslated string: pakfire ago = ago.
+WARNING: untranslated string: password has quotation mark = Password contains an illegal double quotation mark.
 WARNING: untranslated string: processors = Processors
 WARNING: untranslated string: reg_file_data_sampling = Register File Data Sampling (RFDS)
 WARNING: untranslated string: routing config added = unknown string
diff --git a/doc/language_issues.it b/doc/language_issues.it
index 16371b566..1595e79d9 100644
--- a/doc/language_issues.it
+++ b/doc/language_issues.it
@@ -1269,6 +1269,7 @@ WARNING: untranslated string: pakfire tree = Repository
 WARNING: untranslated string: pakfire tree stable = Stable
 WARNING: untranslated string: pakfire tree testing = Testing
 WARNING: untranslated string: pakfire tree unstable = Unstable
+WARNING: untranslated string: password has quotation mark = Password contains an illegal double quotation mark.
 WARNING: untranslated string: please reboot to apply your changes = Please reboot to apply your changes
 WARNING: untranslated string: pptp netconfig = My Net Config
 WARNING: untranslated string: pptp peer = Peer
diff --git a/doc/language_issues.pl b/doc/language_issues.pl
index a3acc61af..935241881 100644
--- a/doc/language_issues.pl
+++ b/doc/language_issues.pl
@@ -1464,6 +1464,7 @@ WARNING: untranslated string: pakfire tree = Repository
 WARNING: untranslated string: pakfire tree stable = Stable
 WARNING: untranslated string: pakfire tree testing = Testing
 WARNING: untranslated string: pakfire tree unstable = Unstable
+WARNING: untranslated string: password has quotation mark = Password contains an illegal double quotation mark.
 WARNING: untranslated string: please reboot to apply your changes = Please reboot to apply your changes
 WARNING: untranslated string: pptp netconfig = My Net Config
 WARNING: untranslated string: pptp peer = Peer
diff --git a/doc/language_issues.ru b/doc/language_issues.ru
index e946c22df..4e9dda4b4 100644
--- a/doc/language_issues.ru
+++ b/doc/language_issues.ru
@@ -1457,6 +1457,7 @@ WARNING: untranslated string: pakfire tree = Repository
 WARNING: untranslated string: pakfire tree stable = Stable
 WARNING: untranslated string: pakfire tree testing = Testing
 WARNING: untranslated string: pakfire tree unstable = Unstable
+WARNING: untranslated string: password has quotation mark = Password contains an illegal double quotation mark.
 WARNING: untranslated string: please reboot to apply your changes = Please reboot to apply your changes
 WARNING: untranslated string: pptp netconfig = My Net Config
 WARNING: untranslated string: pptp peer = Peer
diff --git a/doc/language_issues.tr b/doc/language_issues.tr
index c0cb2703a..2746a108a 100644
--- a/doc/language_issues.tr
+++ b/doc/language_issues.tr
@@ -1183,6 +1183,7 @@ WARNING: untranslated string: pakfire tree = Repository
 WARNING: untranslated string: pakfire tree stable = Stable
 WARNING: untranslated string: pakfire tree testing = Testing
 WARNING: untranslated string: pakfire tree unstable = Unstable
+WARNING: untranslated string: password has quotation mark = Password contains an illegal double quotation mark.
 WARNING: untranslated string: please reboot to apply your changes = Please reboot to apply your changes
 WARNING: untranslated string: processor vulnerability mitigations = Processor Vulnerability Mitigations
 WARNING: untranslated string: processors = Processors
diff --git a/doc/language_missings b/doc/language_missings
index 92a78b090..c30f09827 100644
--- a/doc/language_missings
+++ b/doc/language_missings
@@ -150,6 +150,7 @@
 < openvpn cert expires soon
 < openvpn cert has expired
 < ovpn roadwarrior server
+< password has quotation mark
 < processors
 < regenerate host certificate
 < reg_file_data_sampling
@@ -193,6 +194,7 @@
 < load average
 < oops something went wrong
 < ovpn roadwarrior server
+< password has quotation mark
 < processors
 < reg_file_data_sampling
 < scanned
@@ -593,6 +595,7 @@
 < pakfire tree testing
 < pakfire tree unstable
 < pak update
+< password has quotation mark
 < please reboot to apply your changes
 < pptp netconfig
 < pptp peer
@@ -2064,6 +2067,7 @@
 < pakfire tree testing
 < pakfire tree unstable
 < pak update
+< password has quotation mark
 < please reboot to apply your changes
 < pptp netconfig
 < pptp peer
@@ -3084,6 +3088,7 @@
 < pakfire tree testing
 < pakfire tree unstable
 < pak update
+< password has quotation mark
 < please reboot to apply your changes
 < pptp netconfig
 < pptp peer
@@ -3595,6 +3600,7 @@
 < pakfire tree testing
 < pakfire tree unstable
 < pak update
+< password has quotation mark
 < please reboot to apply your changes
 < processors
 < processor vulnerability mitigations
diff --git a/langs/de/cgi-bin/de.pl b/langs/de/cgi-bin/de.pl
index 5f89c7010..5cac132b9 100644
--- a/langs/de/cgi-bin/de.pl
+++ b/langs/de/cgi-bin/de.pl
@@ -2044,6 +2044,7 @@
 'password' => 'Passwort:',
 'password contains illegal characters' => 'Passwort enthält ungültige(s) Zeichen.',
 'password crypting key' => 'Schlüssel wird mit dem Passwort chiffriert',
+'password has quotation mark' => 'Kennwort enthält ein unzulässiges doppeltes Anführungszeichen.',
 'password not set' => 'Passwort nicht angegeben.',
 'password too short' => 'Passwort ist zu kurz.',
 'passwords do not match' => 'Die Passwörter stimmen nicht überein.',
diff --git a/langs/en/cgi-bin/en.pl b/langs/en/cgi-bin/en.pl
index 197f44633..8c105150a 100644
--- a/langs/en/cgi-bin/en.pl
+++ b/langs/en/cgi-bin/en.pl
@@ -2108,6 +2108,7 @@
 'password' => 'Password:',
 'password contains illegal characters' => 'Password contains illegal characters.',
 'password crypting key' => 'Password crypting the key',
+'password has quotation mark' => 'Password contains an illegal double quotation mark.',
 'password not set' => 'Password not set.',
 'password too short' => 'Password is too short.',
 'passwords do not match' => 'Passwords do not match.',
diff --git a/langs/nl/cgi-bin/nl.pl b/langs/nl/cgi-bin/nl.pl
index beb1b6e36..8b8979972 100644
--- a/langs/nl/cgi-bin/nl.pl
+++ b/langs/nl/cgi-bin/nl.pl
@@ -1712,6 +1712,7 @@
 'password' => 'Wachtwoord:',
 'password contains illegal characters' => 'Wachtwoord bevat ongeldige tekens.',
 'password crypting key' => 'Wachtwoord codeert de sleutel',
+'password has quotation mark' => 'Wachtwoord bevat een ongeldig dubbel aanhalingsteken.',
 'password not set' => 'Wachtwoord niet ingesteld.',
 'password too short' => 'Wachtwoord is te kort.',
 'passwords do not match' => 'Wachtwoorden komen niet overeen.',