diff --git a/doc/language_issues.en b/doc/language_issues.en
index 7d72fa99b..996572456 100644
--- a/doc/language_issues.en
+++ b/doc/language_issues.en
@@ -78,7 +78,6 @@ WARNING: untranslated string: TOS rule = TOS rule
 WARNING: untranslated string: The class number does not match the specified interface. = The class number does not match the specified interface.
 WARNING: untranslated string: The destination IP address is invalid. = The destination IP address is invalid.
 WARNING: untranslated string: The source IP address is invalid. = The source IP address is invalid.
-WARNING: untranslated string: Unused = Unused
 WARNING: untranslated string: WakeOnLan = Wake On Lan
 WARNING: untranslated string: a ca certificate with this name already exists = A CA certificate with this name already exists.
 WARNING: untranslated string: a connection with this common name already exists = A connection with this common name already exists.
diff --git a/doc/language_issues.es b/doc/language_issues.es
index e90acf9d9..68836302a 100644
--- a/doc/language_issues.es
+++ b/doc/language_issues.es
@@ -980,7 +980,6 @@ WARNING: translation string unused: zoneconf val vlan tag range error
 WARNING: translation string unused: zoneconf val zoneslave amount error
 WARNING: untranslated string: Captive ACTIVATE = unknown string
 WARNING: untranslated string: Captive clients = unknown string
-WARNING: untranslated string: Unused = Unused
 WARNING: untranslated string: ca name must only contain characters and spaces = unknown string
 WARNING: untranslated string: dns servers = DNS Servers
 WARNING: untranslated string: enable disable client = unknown string
diff --git a/doc/language_issues.fr b/doc/language_issues.fr
index db91be7fe..80341a1c3 100644
--- a/doc/language_issues.fr
+++ b/doc/language_issues.fr
@@ -959,7 +959,6 @@ WARNING: translation string unused: zoneconf val vlan amount assignment error
 WARNING: translation string unused: zoneconf val vlan tag assignment error
 WARNING: translation string unused: zoneconf val vlan tag range error
 WARNING: translation string unused: zoneconf val zoneslave amount error
-WARNING: untranslated string: Unused = Unused
 WARNING: untranslated string: allowed subnets = Allowed Subnets
 WARNING: untranslated string: bypassed = Bypassed
 WARNING: untranslated string: ca name must only contain characters and spaces = unknown string
diff --git a/doc/language_issues.it b/doc/language_issues.it
index facb0c256..4ec3545ba 100644
--- a/doc/language_issues.it
+++ b/doc/language_issues.it
@@ -932,7 +932,6 @@ WARNING: untranslated string: Captive vouchervalid = Allowed time for this coupo
 WARNING: untranslated string: Captive wrong type = Uploaded file has wrong filetype
 WARNING: untranslated string: MTU settings = MTU settings:
 WARNING: untranslated string: Number of Countries for the pie chart = Number of Countries for the pie chart
-WARNING: untranslated string: Unused = Unused
 WARNING: untranslated string: access point name = Access Point Name
 WARNING: untranslated string: access point name is invalid = Access Point Name is invalid
 WARNING: untranslated string: access point name is required = Access Point Name is required
diff --git a/doc/language_issues.nl b/doc/language_issues.nl
index 40710c698..56c6dadf6 100644
--- a/doc/language_issues.nl
+++ b/doc/language_issues.nl
@@ -932,7 +932,6 @@ WARNING: untranslated string: Captive vouchervalid = Allowed time for this coupo
 WARNING: untranslated string: Captive wrong type = Uploaded file has wrong filetype
 WARNING: untranslated string: MTU settings = MTU settings:
 WARNING: untranslated string: Number of Countries for the pie chart = Number of Countries for the pie chart
-WARNING: untranslated string: Unused = Unused
 WARNING: untranslated string: access point name = Access Point Name
 WARNING: untranslated string: access point name is invalid = Access Point Name is invalid
 WARNING: untranslated string: access point name is required = Access Point Name is required
diff --git a/doc/language_issues.pl b/doc/language_issues.pl
index ef464100c..6ccb0a497 100644
--- a/doc/language_issues.pl
+++ b/doc/language_issues.pl
@@ -848,7 +848,6 @@ WARNING: untranslated string: MB read = MB read
 WARNING: untranslated string: MB written = MB written
 WARNING: untranslated string: MTU settings = MTU settings:
 WARNING: untranslated string: Number of Countries for the pie chart = Number of Countries for the pie chart
-WARNING: untranslated string: Unused = Unused
 WARNING: untranslated string: access point name = Access Point Name
 WARNING: untranslated string: access point name is invalid = Access Point Name is invalid
 WARNING: untranslated string: access point name is required = Access Point Name is required
diff --git a/doc/language_issues.ru b/doc/language_issues.ru
index d4f669b1b..8a689daa7 100644
--- a/doc/language_issues.ru
+++ b/doc/language_issues.ru
@@ -843,7 +843,6 @@ WARNING: untranslated string: MB read = MB read
 WARNING: untranslated string: MB written = MB written
 WARNING: untranslated string: MTU settings = MTU settings:
 WARNING: untranslated string: Number of Countries for the pie chart = Number of Countries for the pie chart
-WARNING: untranslated string: Unused = Unused
 WARNING: untranslated string: access point name = Access Point Name
 WARNING: untranslated string: access point name is invalid = Access Point Name is invalid
 WARNING: untranslated string: access point name is required = Access Point Name is required
diff --git a/doc/language_issues.tr b/doc/language_issues.tr
index f557f9a04..e79fe1388 100644
--- a/doc/language_issues.tr
+++ b/doc/language_issues.tr
@@ -925,7 +925,6 @@ WARNING: translation string unused: year-graph
 WARNING: translation string unused: yearly firewallhits
 WARNING: untranslated string: Captive clients = unknown string
 WARNING: untranslated string: Captive delete logo = Delete Logo
-WARNING: untranslated string: Unused = Unused
 WARNING: untranslated string: access point name = Access Point Name
 WARNING: untranslated string: access point name is invalid = Access Point Name is invalid
 WARNING: untranslated string: access point name is required = Access Point Name is required
diff --git a/doc/language_missings b/doc/language_missings
index 8487c8a26..cd005f45a 100644
--- a/doc/language_missings
+++ b/doc/language_missings
@@ -128,7 +128,6 @@
 < dns servers
 < ids provider eol
 < online
-< Unused
 ############################################################################
 # Checking cgi-bin translations for language: fr                           #
 ############################################################################
@@ -182,7 +181,6 @@
 < system time
 < timeformat
 < total
-< Unused
 < upload fcdsl.o
 < warning
 < wg
@@ -722,7 +720,6 @@
 < unblock all
 < uncheck all
 < unlimited
-< Unused
 < update ruleset
 < updxlrtr passive mode
 < uplink bit rate
@@ -1359,7 +1356,6 @@
 < unblock all
 < uncheck all
 < unlimited
-< Unused
 < update ruleset
 < updxlrtr passive mode
 < uplink bit rate
@@ -2402,7 +2398,6 @@
 < unblock all
 < uncheck all
 < unlimited
-< Unused
 < update ruleset
 < updxlrtr passive mode
 < updxlrtr sources
@@ -3491,7 +3486,6 @@
 < unblock all
 < uncheck all
 < unlimited
-< Unused
 < update ruleset
 < updxlrtr passive mode
 < updxlrtr sources
@@ -3981,7 +3975,6 @@
 < traffic stat title
 < transfers
 < transport mode does not support vti
-< Unused
 < update ruleset
 < updxlrtr passive mode
 < user management
diff --git a/langs/de/cgi-bin/de.pl b/langs/de/cgi-bin/de.pl
index 130227910..53d6903ae 100644
--- a/langs/de/cgi-bin/de.pl
+++ b/langs/de/cgi-bin/de.pl
@@ -122,7 +122,6 @@
 'The class number does not match the specified interface.' => 'Die Klassennummer passt nicht zum angegebenen Interface.',
 'The destination IP address is invalid.' => 'Die Ziel-IP-Adresse ist ungültig.',
 'The source IP address is invalid.' => 'Die Quell-IP-Adresse ist ungültig.',
-'Unused' => 'Unbenutzt',
 'Utilization on' => 'Auslastung auf',
 'Verbose' => 'Verbose',
 'WakeOnLan' => 'Wake On LAN',
diff --git a/langs/en/cgi-bin/en.pl b/langs/en/cgi-bin/en.pl
index e76ca878c..ef7d75ce7 100644
--- a/langs/en/cgi-bin/en.pl
+++ b/langs/en/cgi-bin/en.pl
@@ -120,7 +120,6 @@
 'The class number does not match the specified interface.' => 'The class number does not match the specified interface.',
 'The destination IP address is invalid.' => 'The destination IP address is invalid.',
 'The source IP address is invalid.' => 'The source IP address is invalid.',
-'Unused' => 'Unused',
 'Utilization on' => 'Utilization on',
 'Verbose' => 'Verbose:',
 'WakeOnLan' => 'Wake On Lan',